Package org.apache.batchee.cli.classloader

## Class ChildFirstURLClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.apache.batchee.cli.classloader.ChildFirstURLClassLoader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class ChildFirstURLClassLoader
      extends URLClassLoader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChildFirstURLClassLoader​(URL[] urls, ClassLoader parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addResource​(File resource)` |
    `void` | `addUrls​(Collection<URL> urls)` |
    `URL` | `findResource​(String name)` |
    `Enumeration<URL>` | `findResources​(String name)` |
    `File` | `getApplicationFolder()` |
    `Class<?>` | `loadClass​(String name, boolean resolve)` |
    `void` | `setApplicationFolder​(File applicationFolder)` |

    - ### Methods inherited from class java.net.URLClassLoader

      `addURL, close, definePackage, findClass, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

    - ### Methods inherited from class java.security.SecureClassLoader

      `defineClass, defineClass`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChildFirstURLClassLoader

          public ChildFirstURLClassLoader​(URL[] urls,
                                          ClassLoader parent)

  - ### Method Detail

    - #### addResource

          public void addResource​(File resource)

    - #### findResource

          public URL findResource​(String name)

      Overrides:
        `findResource` in class `URLClassLoader`

    - #### findResources

          public Enumeration<URL> findResources​(String name)
                                         throws IOException

      Overrides:
        `findResources` in class `URLClassLoader`
      Throws:
        `IOException`

    - #### loadClass

          public Class<?> loadClass​(String name,
                                    boolean resolve)
                             throws ClassNotFoundException

      Overrides:
        `loadClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### setApplicationFolder

          public void setApplicationFolder​(File applicationFolder)

    - #### getApplicationFolder

          public File getApplicationFolder()

    - #### addUrls

          public void addUrls​(Collection<URL> urls)